# Generated from ruby_unicode_prop-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby_unicode_prop

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Command to print the characters and hex-codepoints for the given Unicode properties
License: MIT
URL: https://www.wisebabel.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
# BuildRequires: rubygem(plain_text) >= 0.6
BuildArch: noarch

%description
This module contains a Ruby executable script to print all the characters
and/or hex-codepoints for the given Unicode properties.  "--help" option
prints the summary of the options.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/ruby_unicode_prop
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Makefile
%{gem_instdir}/bin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/ChangeLog
%doc %{gem_instdir}/README.en.rdoc
%{gem_instdir}/Rakefile
%{gem_instdir}/ruby_unicode_prop.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 1.0.2-1
- Initial package
